Package org.snpsift.pedigree

# Class Individual

java.lang.Object
org.snpsift.pedigree.Individual

All Implemented Interfaces:
  `Comparable<Individual>`

public class Individual extends Object implements Comparable<Individual>
An individual in the pedigree Individuals are like TfamEntries but have drawing info (coordinates, color, etc.)

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`Individual(org.snpeff.ped.TfamEntry tfamEntry)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addChild(Individual ind)`
`int`
`calcDepth()`
Depth in the graph.
`int`
`compareTo(Individual ind)`
`Boolean`
`getAffected()`
`Collection<Individual>`
`getChilds()`
`ArrayList<Individual>`
`getChilds(Individual spouse)`
Get only childs from this spouse
`String`
`getColor()`
`int`
`getDepth()`
`String`
`getFamilyId()`
`Individual`
`getFather()`
`String`
`getId()`
`String`
`getLabel()`
`Individual`
`getMother()`
`int`
`getOrder()`
`Point`
`getPosition()`
`org.snpeff.ped.Sex`
`getSex()`
`protected boolean`
`hasOrder()`
`boolean`
`hasPosition()`
`boolean`
`isDescendant(Individual ind)`
Is 'this' descendant from 'ind' (e.g.
`boolean`
`isFemale()`
`boolean`
`isMale()`
`boolean`
`isRoot()`
Is this a root node?
`protected void`
`removeChild(Individual ind)`
`void`
`setAffected(Boolean affected)`
`void`
`setColor(String color)`
`void`
`setDepth(int depth)`
`void`
`setFather(Individual father)`
`void`
`setId(String id)`
`void`
`setLabel(String label)`
`void`
`setMother(Individual mother)`
`void`
`setOrder(int order)`
`void`
`setSex(org.snpeff.ped.Sex sex)`
`void`
`sizeByDepth(int[] sizeByLevel)`
Size by depth
`String`
`toString()`
`String`
`toStringTree()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Individual

public Individual(org.snpeff.ped.TfamEntry tfamEntry)

## Method Details

### addChild

protected void addChild(Individual ind)

### calcDepth

public int calcDepth()
Depth in the graph. Depth is zero for root nodes

Returns:

### compareTo

public int compareTo(Individual ind)

Specified by:
  `compareTo` in interface `Comparable<Individual>`

### getAffected

public Boolean getAffected()

### getChilds

public Collection<Individual> getChilds()

### getChilds

public ArrayList<Individual> getChilds(Individual spouse)
Get only childs from this spouse

Parameters:
  `spouse` -
Returns:

### getColor

public String getColor()

### getDepth

public int getDepth()

### getFamilyId

public String getFamilyId()

### getFather

public Individual getFather()

### getId

public String getId()

### getLabel

public String getLabel()

### getMother

public Individual getMother()

### getOrder

public int getOrder()

### getPosition

public Point getPosition()

### getSex

public org.snpeff.ped.Sex getSex()

### hasOrder

protected boolean hasOrder()

### hasPosition

public boolean hasPosition()

### isDescendant

public boolean isDescendant(Individual ind)
Is 'this' descendant from 'ind' (e.g. son, grand son, etc.)

Parameters:
  `ind` -
Returns:

### isFemale

public boolean isFemale()

### isMale

public boolean isMale()

### isRoot

public boolean isRoot()
Is this a root node?

Returns:

### removeChild

protected void removeChild(Individual ind)

### setAffected

public void setAffected(Boolean affected)

### setColor

public void setColor(String color)

### setDepth

public void setDepth(int depth)

### setFather

public void setFather(Individual father)

### setId

public void setId(String id)

### setLabel

public void setLabel(String label)

### setMother

public void setMother(Individual mother)

### setOrder

public void setOrder(int order)

### setSex

public void setSex(org.snpeff.ped.Sex sex)

### sizeByDepth

public void sizeByDepth(int[] sizeByLevel)
Size by depth

Parameters:
  `sizeByLevel` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringTree

public String toStringTree()